| Enumerations, structures and type definitions

### CableModel

CABLE_NUL = 0,

An enumeration which contains the following cable types: /

Return value : |

### CablePort

PORT_0 = 0,

An enumeration which contains the following ports: /

Return value : |

### UsbPid

PID_UNKNOWN = 0,

An enumeration which contains the following devices: /

Return value : |

### CableStatus

STATUS_NONE = 0,

An enumeration which contains the following values: /

Return value : |

### ProbingMethod

PROBE_NONE = 0,

Defines how to probe cables: /

Return value : |

### DataRate

int count;

A structure used for benchmarks. !!! This structure is for private use !!! /

count : | number of bytes transferred
start : | the time when transfer started
current : | free of use
stop : | the time when transfer finished
Return value : |

### Cable

const int model;

A structure used for handling a link cable. !!! This structure is for private use !!! /

model : | link cable model (CableModel).
name : | name of cable like "SER"
fullname : | complete name of cable like "BlackLink"
description : | description of cable like "serial cable"
need_open : | set if cable need to be 'open'/'close' before calling 'probe'
prepare : | detect and map I/O
probe : | check for cable presence
timeout : | used to update timeout
open : | open I/O port or device
close : | close I/O port or device
reset : | reset I/O port or device
send : | send data onto the cable
recv : | recv data from cable
check : | check for data arrival
set_d0 : | set D0/red wire
set_d1 : | set D1/white wire
get_d0 get D0/red wire : | (null)
get_d1 set D1/red wire : | (null)
set_raw : | set both wires
get_raw : | read both wires
Return value : |

### CableHandle

CableModel model;

A structure used to store information as an handle. !!! This structure is for private use !!! /

model : | cable model
port : | generic port
timeout : | timeout value in 0.1 seconds
delay : | inter-bit delay for serial/parallel cable in µs
device : | device name like COMx or ttySx (if used)
address : | I/O base address of device (if used)
cable : | a Cable structure used by this handle
rate : | data rate during transfers
priv : | opaque data for internal/private use (static)
priv2 : | idem (allocated)
priv3 : | idem (static)
open : | set if cable has been open
busy : | set if cable is busy
Return value : |

### CableOptions

CableModel model;

A convenient structure free of use by the user. /

cable_model : | model
cable_port : | port
cable_timeout : | timeout in tenth of seconds
cable_delay : | inter-bit delay in µs
calc_model : | calculator model
Return value : |

### Return to the main index